#!/bin/bash
#SBATCH --job-name=gpu_test_4.00
#SBATCH --partition=pinegpu
#SBATCH --time=4-00:00:00
#SBATCH --nodes=1
#SBATCH --ntasks=6
#SBATCH --gres=gpu:1

# unload all modules and spack packages
module purge
spack unload --all

ln -sf /opt/software/spack/opt/spack/linux-rocky9-x86_64/gcc-12.3.0/cuda-12.3.0-gymakrxosq4ouxzccigojco5wpkffrnr/targets/x86_64-linux/lib/libcudart.so.12.3.52 /home/vmahajan/.libs/libcuda.so.1
spack load /buybdha
spack load /gymakrx
lmp="/home/vmahajan/softwares/lammps-gpu-plumed/build/lmp_gpu"
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/home/vmahajan/.libs/
export LD_LIBRARY_PATH
nvcc --version > cuda_version.txt
echo $LD_LIBRARY_PATH > lib_path

mpirun -np 1 $lmp -in cg.in -sf gpu 
#mpiexec -np 16 $lmp -in cg.in -sf gpu -pk gpu 0 neigh no

